<html>
<head>
  <title>Consulta Medica</title>
 <meta charset="UTF-8">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrapx|.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="./css/styles.css" type="text/css">
<link rel="stylesheet" href="./fonts/font-awesome-4.7.0/css/font-awesome.min.css">

<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
</head>
<!-- FIN ENCABEZADO-->
<body>
   <!-- EPIEZA EL NAV DERECHO-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01"
            aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="nav">
        <a class="navbar-brand" href="bienvenido.html"><img src="./img/logo.png" height="60px" width="60px"></a>
       <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
            <a class= "label-azul" href="bienvenido.html"><h3 class="label-azul">Clinicas V.U.H.M.</h3>
        </ul>

        <div class="form-inline my-2 my-lg-0">
            <a class="navbar-brand" href="bienvenido.html"><img src="./img/logo_2.JPG" height="60px" width="60px"></a>
        </div>
    </div>
</nav>

<div class="d-flex" id="wrapper">
    <div class="bg-light border-right" id="sidebar-wrapper">
    <div class="list-group list-group-flush text-center">
        <a href="agendarCita.html" id="agendaDia" class="list-group-item list-group-item-action">
            <img id="agendaD" src="./img/icono_agenda_azul.png">
            <br>Agenda del día
        </a>
        <a href="finanzasPersonales.html" id="finanzasPersonales" class="list-group-item list-group-item-action">
            <img id="finanzasP" src="./img/icono_finanzasPersonales_azul.png">
            <br>Finanzas personales
        </a>
        <a href="#" class="list-group-item list-group-item-action">
            <img src="./img/icono_configuracion_azul.png">
            <br>Configuración
        </a>
        <a href="conversacion.html"  id="conversaciones" class="list-group-item list-group-item-action">
            <img id="convers" src="./img/icono_conversaciones_azul.png">
            <br>Conversaciones
        </a>
        <a href="index.html" class="list-group-item list-group-item-action">
            <img src="./img/icono_salir_azul.png">
            <br>Salir
        </a>
    </div>
</div>

<!--TERMINA EL NAV-->
    <div id="page-content-wrapper">
        <div class="container-fluid">
            <table class="col-md-12 table">
                <thead>
                <tr class="text-center">
                    <th colspan="2">Consulta m&eacute;dica</th>
                    <th>Nombre</th>
                    <th>Paciente</th>
                    <th>Tipo enfermedad</th>
                    <th>Enfermedad</th>
                    <th>I. T.</th>
                    <th>I. F.</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>
                        <a href="colaPaciente.html">
                    <img src="./img/icons/arrow-return.png"  style="color:#06335D">
                        </a>
                    </td>
                    <td>
                        <label class="label-azul pull-right"><b>Atendiendo a paciente</b></label>
                    </td>
                    <td>
                        <div class="row">
                            <div class="col-md-12">
                                <label>
                                    Casas Bosca, Juan Feliz
                                </label>
                                <button class="btn pull-right">
                                    <span class="fa fa-file"></span>
                                </button>
                                <button class="btn pull-right">
                                    <span class="fa fa-file-code-o"></span>
                                </button>
                            </div>
                        </div>
                    </td>
                    <td>
                        <select name="" id="" class="form-control">
                            <option value="">Tipico</option>
                        </select>
                    </td>
                    <td>
                        <select name="" id="" class="form-control">
                            <option value="">Aguda</option>
                        </select>
                    </td>
                    <td>
                        <select name="" id="" class="form-control">
                            <option value="">Diabetes</option>
                        </select>
                    </td>
                    <td>
                        <input type="text" style="background: green" class="colores-input">
                    </td>
                    <td>
                        <input type="text" style="background: green" class="colores-input">
                    </td>
                </tr>
                </tbody>
            </table>

            <hr class="border-azul">

            <div class="row">
                <div class="col-md-3 col-sm-3">
                    <div class="col-md-12 btn-color text-center">
                        &Uacute;ltimo tratamiento
                    </div>
                    <!-- menu -->
                    <div class="list-group" style="max-height: 500px; overflow-y: auto">
                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-1" href="#demo1" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Homeopatia</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-1">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo1">
                            <label class="list-group-item label-azul">1 Uranium Nitricum</label>
                            <label class="list-group-item label-azul">2 Plumbum metallicum</label>
                            <label class="list-group-item label-azul">3 Arsenicum album</label>
                            <label class="list-group-item label-azul">4 Phospshorus</label>
                        </div>

                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-2" href="#demo2" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Terapia neutral Huneke</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-2">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo2">
                            <label class="list-group-item label-azul">xxxxxxxxx</label>
                        </div>

                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-3" href="#demo3" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Martillo neurol&oacute;gico</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-3">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo3">
                            <label class="list-group-item label-azul">xxxxxxxxx</label>
                        </div>

                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-4" href="#demo4" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Sueros</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-4">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo4">
                            <label class="list-group-item label-azul">Suero x</label>
                        </div>

                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-5" href="#demo5" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Terapia con C.M.</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-5">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo5">
                            <label class="list-group-item label-azul">Xxxxxxxxxxxxx</label>
                        </div>

                        <div class="col-md-12 list-group-item label-azul">
                            <a id="demo-6" href="#demo6" class="label-azul mediPattern" data-toggle="collapse">
                                <b>Producto</b>
                            </a>
                            <button class="btn btn-color btn-sm pull-right btn-round refresh" value="demo-6">
                                <span class="fa fa-refresh"></span>
                            </button>
                        </div>
                        <div id="demo6">
                            <label class="list-group-item label-azul">GluCoach</label>
                        </div>

                    </div>
                </div>

                <div class="col-md-9 col-sm-9">
                    <div class="col-md-12 btn-color text-center">
                        Receta
                    </div>
                    <div class="border-azul">
                        <div class="row">
                            <!-- lado izquierdo-->
                            <div class="col-md-6">
                                <div class="col-md-12">
                                    <label class="label-azul"><b>Tratamiento Homeop&aacute;tico</b></label>
                                    <div style="max-height: 340px; overflow-y: auto">
                                        <table class="col-md-12 table table-bordered table-azul" id="tratamientoHomeopatico">
                                            <tr>
                                            </tr>
                                        </table>
                                    </div>
                                    <br>
                                    <label class="label-azul"><b>Flores de Bach</b></label>
                                    <img src="./img/icons/dropper.png" class="pull-right">
                                    <table class="col-md-12">
                                        <tr class="table table-bordered">
                                            <th width="20px">x</th>
                                            <th></th>
                                        </tr>
                                    </table>
                                    <br>
                                    <div class="row">
                                        <label class="col-md-6">
                                            <input type="checkbox">
                                            8 gotas cada hora
                                        </label>
                                        <label class="col-md-6">
                                            <input type="checkbox">
                                            Tratamiento doble
                                        </label>
                                    </div>
                                    <div class="row">
                                        <label class="col-md-6">
                                            <input type="checkbox">
                                            Antes y despu&eacute;s de los alimentos
                                        </label>
                                        <label class="col-md-6">
                                            <input type="checkbox">
                                            Entregar completo
                                        </label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-10">
                                        <input type="text" class="btn-lg form-control border-azul">
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn label-azul pull-right">
                                            <img src="./img/icons/editar.png">
                                        </button>
                                    </div>
                                </div>
                            </div>
                            <!-- lado derecho-->
                            <div class="col-md-6">
                                <label class="label-azul"><b>Terapias</b></label>
                                <div class="border-azul">
                                    <table class="col-md-12">
                                        <tr>
                                            <th width="20px">
                                                <label class="label-azul">
                                                    <input type="checkbox" class="">
                                                    Terapia neural Huneke
                                                </label>
                                            </th>
                                            <th class="table-bordered">

                                            </th>
                                        </tr>
                                        <tr>
                                            <th>
                                                <label class="label-azul">
                                                    <input type="checkbox" class="">
                                                    Martillo neurol&oacute;gico
                                                </label>
                                            </th>
                                            <th class="table-bordered">

                                            </th>
                                        </tr>
                                        <tr>
                                            <th>
                                                <label class="label-azul">
                                                    <input type="checkbox" class="">
                                                    Sueros
                                                </label>
                                            </th>
                                            <th class="table-bordered">
                                                <select name="" id="" class="form-control">
                                                    <option value="">Suero x</option>
                                                </select>
                                            </th>
                                        </tr>
                                        <tr>
                                            <th>
                                                <label class="label-azul">
                                                    <input type="checkbox" class="">
                                                    Terapia con C.M.
                                                </label>
                                            </th>
                                            <th class="table-bordered">

                                            </th>
                                        </tr>
                                        <tr>
                                            <th>
                                                <label class="label-azul">
                                                    <input type="checkbox" class="">
                                                    Tratamiento dental
                                                </label>
                                            </th>
                                            <th class="table-bordered">

                                            </th>
                                        </tr>
                                    </table>
                                </div>

                                <label class="label-azul"><br><b>Producto</b></label>
                                <div class="border-azul">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <select name="" id="" class="form-control">
                                                <option value="">Immunotec</option>
                                            </select>
                                        </div>
                                        <div class="col-md-5">
                                            <select name="" id="" class="form-control">
                                                <option value="">Immunocal</option>
                                            </select>
                                        </div>
                                        <div class="col-md-2 inline">
                                            <button class="btn btn-color">
                                                <span class="fa fa-plus"></span>
                                            </button>
                                        </div>
                                    </div>
                                    <br>
                                    <div style="max-height: 100px;overflow-y: auto">
                                        <table class="col-md-12 table-bordered table-azul" id="productoTable">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Medicamento</th>
                                            </tr>
                                            </thead>
                                            <tbody></tbody>
                                        </table>
                                    </div>
                                </div>

                                <label class="label-azul"><br><b>Tratamiento Al&oacute;pata</b></label>
                                <div class="border-azul">
                                    <div style="max-height: 100px;overflow-y: auto">
                                        <table class="table table-bordered table-azul">
                                            <tr>
                                                <th style="width: 20px">X</th>
                                                <th></th>
                                            </tr>
                                            <tr>
                                                <th style="width: 20px">X</th>
                                                <th></th>
                                            </tr>
                                            <tr>
                                                <th style="width: 20px">X</th>
                                                <th></th>
                                            </tr>
                                            <tr>
                                                <th style="width: 20px">X</th>
                                                <th></th>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <button class="btn btn-color btn-sm">
                                            Ordenar estudio
                                        </button>
                                    </div>
                                    <div class="col-md-4">
                                        <button class="btn btn-color btn-sm">
                                            Imprimir receta
                                        </button>
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn btn-color btn-sm">
                                            Terminar
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function () {
        $("#agendaDia").addClass("btn-color activo");
        $("#agendaD").attr("src", "./img/icono_agenda_blanco.png");
    });

    /**
     * function encargada de detectar cuando un producto es seleccionado
     * y asigna sus medicamentos a la tabla producto dentro de la receta.
     */
    $(".mediPattern").on("click", function () {
        console.log("clicked");
        var href = this.href.split('#')[1];
        var lista = $("#" + href).children("label");
        var lastRow = $("#tratamientoHomeopatico tr").length;
        var existentes = $("#tratamientoHomeopatico ." + href);
        lista.each(function (i) {
            var producto = $(this).html();
            var existe = productosExistentes(existentes, producto);
            if (!existe) {
                var newRow = "<tr>" +
                    "<td>" + (i + lastRow) + "</td>" +
                    "<td class='" + href + "'>" + producto + "</td>" +
                    "</tr>";
                $('#tratamientoHomeopatico tbody').append(newRow);
            }
        });
        setTimeout(function () {
            $(this).removeClass('mediPattern collapsed');
            $("#" + href).removeClass('collapse');
            $("#" + href).addClass('active show');
        },100);
    });

    $(".refresh").on("click", function () {
        //funcion ajax que refrescara la lista
        /*$.ajax({
            url: '',
            data: [],
            success: function (respuesta) {
                console.log(respuesta);
                $("#" + this.value).click();
            },
            error: function () {
                console.log("No se ha podido obtener la información");
            }
        });*/
        $("#" + this.value).click();
    });

    /**
     *
     * @param existentes lista de productos posiblemente existentes en la tabla de producto
     * @param producto nombre del producto que se agregará a la tabla
     * @returns {boolean} para saber si el producto existe dentro de la tabla
     */
    function productosExistentes(existentes, producto) {
        var existe = false;
        existentes.each(function (i) {
            if (producto === $(this).html()) {
                existe = true;
            }
        });
        return existe;
    }

</script>

</body>
</html>
